/************************************************************************
 * Copyright (c) 2008 by Gregor Ehrenstein (grx@pandacube.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ************************************************************************/

namespace SudokuSolver
{
    /// <summary>
    /// This Window acts as the main window of the application. It hosts the 81
    /// comboboxes that can be used to input the Sudoku. For the sake of easier
    /// programming the comboboxes are saved in a 2-dimensional array, so that
    /// they can be accessed by for-loops. This has the negative effect, that this
    /// window can not be viewed in the designer.
    /// </summary>
    partial class SudokuSolverForm1
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        // The C# Designer does not work on the following code because for the sake of
        // easier programming later. The code uses arrays of comboboxes and for-loops to
        // generate the GUI.

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            // see comment 12 lines above if you try to view this window in the designer
            this.comboBoxes = new System.Windows.Forms.ComboBox[9,9];
            this.m_openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
            this.m_saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
            this.AboutButton1 = new System.Windows.Forms.Button();
            this.PrevButton1 = new System.Windows.Forms.Button();
            this.NextButton1 = new System.Windows.Forms.Button();
            this.LoadButton1 = new System.Windows.Forms.Button();
            this.SaveButton1 = new System.Windows.Forms.Button();
            this.ResetButton1 = new System.Windows.Forms.Button();
            this.SolveButton1 = new System.Windows.Forms.Button();
            this.panel1 = new System.Windows.Forms.Panel();
            this.panel2 = new System.Windows.Forms.Panel();
            this.panel3 = new System.Windows.Forms.Panel();
            this.panel4 = new System.Windows.Forms.Panel();
            this.panel5 = new System.Windows.Forms.Panel();
            this.panel6 = new System.Windows.Forms.Panel();
            this.panel7 = new System.Windows.Forms.Panel();
            this.panel8 = new System.Windows.Forms.Panel();
            this.panel9 = new System.Windows.Forms.Panel();
            this.panel1.SuspendLayout();
            this.panel2.SuspendLayout();
            this.panel3.SuspendLayout();
            this.panel4.SuspendLayout();
            this.panel5.SuspendLayout();
            this.panel6.SuspendLayout();
            this.panel7.SuspendLayout();
            this.panel8.SuspendLayout();
            this.panel9.SuspendLayout();
            this.SuspendLayout();
            //
            // comboBoxes
            //
            int n = 0;
            for (int j = 0; j < 9; j++)
            {
                for (int i = 0; i < 9; i++)
                {
                    this.comboBoxes[j, i] = new System.Windows.Forms.ComboBox();
                    this.comboBoxes[j, i].DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
                    this.comboBoxes[j, i].FlatStyle = System.Windows.Forms.FlatStyle.Flat;
                    this.comboBoxes[j, i].FormattingEnabled = true;
                    this.comboBoxes[j, i].Items.AddRange(new object[] { "1", "2", "3", "4", "5", "6", "7", "8", "9" });
                    this.comboBoxes[j, i].MaxDropDownItems = 9;
                    this.comboBoxes[j, i].Name = "comboBox" + j.ToString() + i.ToString();
                    this.comboBoxes[j, i].Size = new System.Drawing.Size(32, 21);
                    this.comboBoxes[j, i].TabIndex = n++;
                    this.comboBoxes[j, i].SelectedIndexChanged += new System.EventHandler(this.comboBoxes_SelectedIndexChanged);
                    this.comboBoxes[j, i].KeyDown += new System.Windows.Forms.KeyEventHandler(this.comboBoxes_KeyDown);
                    this.comboBoxes[j, i].KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.comboBoxes_KeyPress);
                    int x = 0;
                    int y = 0;
                    switch (i)
                    {
                        case 0:
                        case 3:
                        case 6:
                            x = 3; break;
                        case 1:
                        case 4:
                        case 7:
                            x = 41; break;
                        case 2:
                        case 5:
                        case 8:
                            x = 79; break;
                    }
                    switch (j)
                    {
                        case 0:
                        case 3:
                        case 6:
                            y = 3; break;
                        case 1:
                        case 4:
                        case 7:
                            y = 30; break;
                        case 2:
                        case 5:
                        case 8:
                            y = 57; break;
                    }
                    this.comboBoxes[j, i].Location = new System.Drawing.Point(x, y);
                }
            }

            // 
            // AboutButton1
            // 
            this.AboutButton1.Location = new System.Drawing.Point(11, 285);
            this.AboutButton1.Name = "AboutButton1";
            this.AboutButton1.Size = new System.Drawing.Size(48, 23);
            this.AboutButton1.TabIndex = 81;
            this.AboutButton1.Text = "About";
            this.AboutButton1.UseVisualStyleBackColor = true;
            this.AboutButton1.Click += new System.EventHandler(this.AboutButton1_Click);
            // 
            // PrevButton1
            // 
            this.PrevButton1.Location = new System.Drawing.Point(64, 285);
            this.PrevButton1.Name = "PrevButton1";
            this.PrevButton1.Size = new System.Drawing.Size(48, 23);
            this.PrevButton1.TabIndex = 82;
            this.PrevButton1.Text = "Prev";
            this.PrevButton1.UseVisualStyleBackColor = true;
            this.PrevButton1.Click += new System.EventHandler(this.PrevButton1_Click);
            this.PrevButton1.Enabled = false;
            // 
            // NextButton1
            // 
            this.NextButton1.Location = new System.Drawing.Point(117, 285);
            this.NextButton1.Name = "NextButton1";
            this.NextButton1.Size = new System.Drawing.Size(48, 23);
            this.NextButton1.TabIndex = 83;
            this.NextButton1.Text = "Next";
            this.NextButton1.UseVisualStyleBackColor = true;
            this.NextButton1.Click += new System.EventHandler(this.NextButton1_Click);
            this.NextButton1.Enabled = false;
            // 
            // LoadButton1
            // 
            this.LoadButton1.Location = new System.Drawing.Point(170, 285);
            this.LoadButton1.Name = "LoadButton1";
            this.LoadButton1.Size = new System.Drawing.Size(48, 23);
            this.LoadButton1.TabIndex = 84;
            this.LoadButton1.Text = "Load";
            this.LoadButton1.UseVisualStyleBackColor = true;
            this.LoadButton1.Click += new System.EventHandler(this.LoadButton1_Click);
            // 
            // SaveButton1
            // 
            this.SaveButton1.Location = new System.Drawing.Point(223, 285);
            this.SaveButton1.Name = "SaveButton1";
            this.SaveButton1.Size = new System.Drawing.Size(48, 23);
            this.SaveButton1.TabIndex = 85;
            this.SaveButton1.Text = "Save";
            this.SaveButton1.UseVisualStyleBackColor = true;
            this.SaveButton1.Click += new System.EventHandler(this.SaveButton1_Click);
            // 
            // ResetButton1
            // 
            this.ResetButton1.Location = new System.Drawing.Point(276, 285);
            this.ResetButton1.Name = "ResetButton1";
            this.ResetButton1.Size = new System.Drawing.Size(48, 23);
            this.ResetButton1.TabIndex = 86;
            this.ResetButton1.Text = "Reset";
            this.ResetButton1.UseVisualStyleBackColor = true;
            this.ResetButton1.Click += new System.EventHandler(this.ResetButton1_Click);
            // 
            // SolveButton1
            // 
            this.SolveButton1.Location = new System.Drawing.Point(329, 285);
            this.SolveButton1.Name = "SolveButton1";
            this.SolveButton1.Size = new System.Drawing.Size(48, 23);
            this.SolveButton1.TabIndex = 87;
            this.SolveButton1.Text = "Solve";
            this.SolveButton1.UseVisualStyleBackColor = true;
            this.SolveButton1.Click += new System.EventHandler(this.SolveButton1_Click);
            // 
            // openFileDialog1
            // 
            this.m_openFileDialog1.Filter = "Sudoku-Files(*.sod)|*.sod";
            this.m_openFileDialog1.Title = "Load the Sudoku file...";
            // 
            // saveFileDialog1
            // 
            this.m_saveFileDialog1.DefaultExt = "*.sod";
            this.m_saveFileDialog1.Filter = "Sudoku-Files(*.sod)|*.sod";
            this.m_saveFileDialog1.Title = "Save the Sudoku file...";
            // 
            // panel1
            // 
            this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 0; j < 3; j++)
            {
                for (int i = 0; i < 3; i++)
                {
                    this.panel1.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel1.Location = new System.Drawing.Point(12, 12);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(118, 85);
            this.panel1.TabIndex = 88;
            // 
            // panel2
            // 
            this.panel2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 0; j < 3; j++)
            {
                for (int i = 3; i < 6; i++)
                {
                    this.panel2.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel2.Location = new System.Drawing.Point(136, 12);
            this.panel2.Name = "panel2";
            this.panel2.Size = new System.Drawing.Size(118, 85);
            this.panel2.TabIndex = 89;
            // 
            // panel3
            // 
            this.panel3.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 0; j < 3; j++)
            {
                for (int i = 6; i < 9; i++)
                {
                    this.panel3.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel3.Location = new System.Drawing.Point(260, 12);
            this.panel3.Name = "panel3";
            this.panel3.Size = new System.Drawing.Size(118, 85);
            this.panel3.TabIndex = 90;
            // 
            // panel4
            // 
            this.panel4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 3; j < 6; j++)
            {
                for (int i = 0; i < 3; i++)
                {
                    this.panel4.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel4.Location = new System.Drawing.Point(12, 103);
            this.panel4.Name = "panel4";
            this.panel4.Size = new System.Drawing.Size(118, 85);
            this.panel4.TabIndex = 91;
            // 
            // panel5
            // 
            this.panel5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 3; j < 6; j++)
            {
                for (int i = 3; i < 6; i++)
                {
                    this.panel5.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel5.Location = new System.Drawing.Point(136, 103);
            this.panel5.Name = "panel5";
            this.panel5.Size = new System.Drawing.Size(118, 85);
            this.panel5.TabIndex = 92;
            // 
            // panel6
            // 
            this.panel6.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 3; j < 6; j++)
            {
                for (int i = 6; i < 9; i++)
                {
                    this.panel6.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel6.Location = new System.Drawing.Point(260, 103);
            this.panel6.Name = "panel6";
            this.panel6.Size = new System.Drawing.Size(118, 85);
            this.panel6.TabIndex = 93;
            // 
            // panel7
            // 
            this.panel7.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 6; j < 9; j++)
            {
                for (int i = 0; i < 3; i++)
                {
                    this.panel7.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel7.Location = new System.Drawing.Point(12, 194);
            this.panel7.Name = "panel7";
            this.panel7.Size = new System.Drawing.Size(118, 85);
            this.panel7.TabIndex = 94;
            // 
            // panel8
            // 
            this.panel8.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 6; j < 9; j++)
            {
                for (int i = 3; i < 6; i++)
                {
                    this.panel8.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel8.Location = new System.Drawing.Point(136, 194);
            this.panel8.Name = "panel8";
            this.panel8.Size = new System.Drawing.Size(118, 85);
            this.panel8.TabIndex = 95;
            // 
            // panel9
            // 
            this.panel9.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            for (int j = 6; j < 9; j++)
            {
                for (int i = 6; i < 9; i++)
                {
                    this.panel9.Controls.Add(this.comboBoxes[j, i]);
                }
            }
            this.panel9.Location = new System.Drawing.Point(260, 194);
            this.panel9.Name = "panel9";
            this.panel9.Size = new System.Drawing.Size(118, 85);
            this.panel9.TabIndex = 96;
            // 
            // SudokuSolverForm1
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(387, 316);
            this.Controls.Add(this.panel1);
            this.Controls.Add(this.panel2);
            this.Controls.Add(this.panel3);
            this.Controls.Add(this.panel4);
            this.Controls.Add(this.panel5);
            this.Controls.Add(this.panel6);
            this.Controls.Add(this.panel7);
            this.Controls.Add(this.panel8);
            this.Controls.Add(this.panel9);
            this.Controls.Add(this.AboutButton1);
            this.Controls.Add(this.PrevButton1);
            this.Controls.Add(this.NextButton1);
            this.Controls.Add(this.LoadButton1);
            this.Controls.Add(this.SaveButton1);
            this.Controls.Add(this.ResetButton1);
            this.Controls.Add(this.SolveButton1);
            this.MaximizeBox = false;
            this.Name = "SudokuSolverForm1";
            this.Text = "Sudoku Solver";
            this.panel1.ResumeLayout(false);
            this.panel2.ResumeLayout(false);
            this.panel3.ResumeLayout(false);
            this.panel4.ResumeLayout(false);
            this.panel5.ResumeLayout(false);
            this.panel6.ResumeLayout(false);
            this.panel7.ResumeLayout(false);
            this.panel8.ResumeLayout(false);
            this.panel9.ResumeLayout(false);
            this.ResumeLayout(false);
        }

        #endregion

        private System.Windows.Forms.ComboBox[,] comboBoxes;
        private System.Windows.Forms.Button AboutButton1;
        private System.Windows.Forms.Button PrevButton1;
        private System.Windows.Forms.Button NextButton1;
        private System.Windows.Forms.Button LoadButton1;
        private System.Windows.Forms.Button SaveButton1;
        private System.Windows.Forms.Button ResetButton1;
        private System.Windows.Forms.Button SolveButton1;
        private System.Windows.Forms.OpenFileDialog m_openFileDialog1;
        private System.Windows.Forms.SaveFileDialog m_saveFileDialog1;
        private System.Windows.Forms.Panel panel1;
        private System.Windows.Forms.Panel panel2;
        private System.Windows.Forms.Panel panel3;
        private System.Windows.Forms.Panel panel4;
        private System.Windows.Forms.Panel panel5;
        private System.Windows.Forms.Panel panel6;
        private System.Windows.Forms.Panel panel7;
        private System.Windows.Forms.Panel panel8;
        private System.Windows.Forms.Panel panel9;
    }
}

